package com.muyu.data.source.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.data.source.domain.DictionaryData;
import com.muyu.data.source.domain.DictionaryType;
import com.muyu.data.source.service.DictionaryService;
import io.swagger.annotations.Api;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Dictionary;
import java.util.List;

/**
 * 字典对象控制层 DictionaryController
 *
 * @author DeKangLiu
 * on 2024/4/29
 */
@Api(tags = "数据源")
@RestController
@RequestMapping("/dict")
public class DictionaryController {

    @Autowired
    private DictionaryService dictionaryService;

    @GetMapping("/findDictionaryByStructureId")
    public Result<List<DictionaryType>> findDictionaryByStructureId(Integer id) {
        return dictionaryService.findDictionaryByStructureId(id);
    }
}
